### Function

# Gimp brush_get_aspect_ratio

#### Declaration [src]

    gdouble
    gimp_brush_get_aspect_ratio (
      const gchar* name
    )

#### Description [src]

Gets the aspect ratio of a generated brush.

This procedure gets the aspect ratio of a generated brush. If called for any other type of brush, it does not succeed. The return value is a float between 0.0 and 1000.0.

Available since: | 2.4

#### Parameters

`name` | `const gchar*`
| The brush name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gdouble`
| The aspect ratio of the brush.